跳转到主要内容
系统管理/系统设置相关接口/系统参数相关接口
GETGlobal Setting起始版本 0.6同步需要认证

查询系统参数

查询系统参数

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • nameString必填

      资源名称

    • categoryString必填

      类型分类。

    • descriptionString必填

      资源的详细描述

    • defaultValueString必填

      默认值。

    • valueString必填

      字段值。

请求地址

GET/zstack/v1/global-configurations

/zstack/v1/global-configurations

操作 ID

QueryGlobalConfig

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/global-configurations' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "name": "reservedCapacity", "category": "backupStorage", "description": "Reserved capcacity on every backup storage", "defaultValue": "1G", "value": "2G" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史